import 'package:custom_banners/custom_banners.dart';
import 'package:flutter_swiper_null_safety/flutter_swiper_null_safety.dart';
import 'package:url_launcher/url_launcher.dart';
import "package:flutter/material.dart";
///Custom banners base class for all banners
class CustomBannersBase extends StatelessWidget {
  final double heightbanner;
  final List<BannerModel> listBanners;
  final  bool autoplay;
  final double radius;
///Constructor
  ///parameters:
  ///heightbanner: height of the banner
  ///listBanners: list of banners
  ///autoplay: true if autoplay
  ///radius: radius of the banner
  CustomBannersBase(
      {this.heightbanner = 175.0,
      required this.listBanners,
      this.autoplay = false,
      required this.radius});

  @override
  Widget build(BuildContext context) {
    return listBanners.isEmpty
        ? SizedBox()
        : Container(
            key: Key('listBanners'),
            height: heightbanner,
            margin: EdgeInsets.only(top: 0, bottom: 20),
            child: Swiper(
              autoplay: autoplay,
              loop: false,
              viewportFraction: 0.85,
              containerHeight: heightbanner,
              itemHeight: heightbanner,
              itemBuilder: (BuildContext context, int index) => CustomBanner(
                radius: radius,
                bannerModel: listBanners[index],
                onSendSite: _launchURL,
              ),
              itemCount: listBanners.length,
            ),
          );
  }
///redirect to site
  void _launchURL(String url) async {
    if (await canLaunchUrl(Uri.parse(url))) {
      await launchUrl(Uri.parse(url));
    } else {
      throw 'Could not launch $url';
    }
  }
}
